﻿// <auto-generated />
using System;
using Bibliotecas;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Bibliotecas.Migrations
{
    [DbContext(typeof(AplicaçãoContexto))]
    partial class AplicaçãoContextoModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.5")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("Bibliotecas.Modelos.CircuitosModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<int?>("ExecuçãoId")
                        .HasColumnType("int");

                    b.Property<string>("TabelaVerdade")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.HasIndex("ExecuçãoId");

                    b.ToTable("Circuitos");
                });

            modelBuilder.Entity("Bibliotecas.Modelos.ComparaçãoModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<DateTime>("Fim")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime>("Início")
                        .HasColumnType("datetime(6)");

                    b.Property<int>("LimiteSuperiorEntradasCircuito")
                        .HasColumnType("int");

                    b.Property<int>("LimiteSuperiorEntradasPorta")
                        .HasColumnType("int");

                    b.Property<TimeSpan>("TempoExecução")
                        .HasColumnType("time(6)");

                    b.HasKey("Id");

                    b.ToTable("Comparações");
                });

            modelBuilder.Entity("Bibliotecas.Modelos.ExecuçãoModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("CircuitoGA")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("CircuitoQuine")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<int?>("ComparaçãoId")
                        .HasColumnType("int");

                    b.Property<int>("FalhasGA")
                        .HasColumnType("int");

                    b.Property<int>("FalhasQuine")
                        .HasColumnType("int");

                    b.Property<DateTime>("FimGA")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime>("FimQuine")
                        .HasColumnType("datetime(6)");

                    b.Property<bool>("Finalizado")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("tinyint(1)")
                        .HasDefaultValue(true);

                    b.Property<DateTime>("InícioGA")
                        .HasColumnType("datetime(6)");

                    b.Property<DateTime>("InícioQuine")
                        .HasColumnType("datetime(6)");

                    b.Property<int>("MáximoEntradas")
                        .HasColumnType("int");

                    b.Property<int>("NósGA")
                        .HasColumnType("int");

                    b.Property<int>("NósQuine")
                        .HasColumnType("int");

                    b.Property<int>("QuantidadeEntradas")
                        .HasColumnType("int");

                    b.Property<TimeSpan>("TempoGA")
                        .HasColumnType("time(6)");

                    b.Property<TimeSpan>("TempoQuine")
                        .HasColumnType("time(6)");

                    b.Property<int>("TransistoresGA")
                        .HasColumnType("int");

                    b.Property<int>("TransistoresQuine")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("ComparaçãoId");

                    b.ToTable("Execuções");
                });

            modelBuilder.Entity("Bibliotecas.Modelos.LogModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Campeão")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<int>("Combo")
                        .HasColumnType("int");

                    b.Property<int?>("ExecuçãoId")
                        .HasColumnType("int");

                    b.Property<int>("Falhas")
                        .HasColumnType("int");

                    b.Property<int>("Geração")
                        .HasColumnType("int");

                    b.Property<double>("Nota")
                        .HasColumnType("double");

                    b.Property<TimeSpan>("TempoExecução")
                        .HasColumnType("time(6)");

                    b.HasKey("Id");

                    b.HasIndex("ExecuçãoId");

                    b.ToTable("Logs");
                });

            modelBuilder.Entity("Bibliotecas.Modelos.CircuitosModelo", b =>
                {
                    b.HasOne("Bibliotecas.Modelos.ExecuçãoModelo", "Execução")
                        .WithMany()
                        .HasForeignKey("ExecuçãoId");
                });

            modelBuilder.Entity("Bibliotecas.Modelos.ExecuçãoModelo", b =>
                {
                    b.HasOne("Bibliotecas.Modelos.ComparaçãoModelo", "Comparação")
                        .WithMany()
                        .HasForeignKey("ComparaçãoId");
                });

            modelBuilder.Entity("Bibliotecas.Modelos.LogModelo", b =>
                {
                    b.HasOne("Bibliotecas.Modelos.ExecuçãoModelo", "Execução")
                        .WithMany()
                        .HasForeignKey("ExecuçãoId");
                });
#pragma warning restore 612, 618
        }
    }
}
